// מעקב אחר שינויי URL
chrome.webNavigation.onHistoryStateUpdated.addListener((details) => {
  if (details.url.includes('new.mishnatyosef.org/order/')) {
    chrome.scripting.executeScript({
      target: { tabId: details.tabId },
      function: () => {
        // בדיקה והוספת הכפתור אם צריך
        if (!document.querySelector('.print-button')) {
          const orderDetails = document.querySelector('.lg\\:flex.flex-col.flex-1');
          if (orderDetails) {
            const printButton = document.createElement('button');
            printButton.className = 'print-button';
            printButton.textContent = 'הכן להדפסה';
            printButton.addEventListener('click', () => {
              const style = document.createElement('style');
              style.textContent = document.querySelector('#print-styles')?.textContent || '';
              document.head.appendChild(style);
              
              const printContainer = document.createElement('div');
              printContainer.className = 'print-container';
              
              // יצירת כותרת ההזמנה
              const orderHeader = document.createElement('div');
              orderHeader.className = 'order-header';
              const headerInfo = document.querySelector('.lg\\:flex.flex-row.gap-10');
              if (headerInfo) {
                orderHeader.innerHTML = headerInfo.innerHTML;
              }
              printContainer.appendChild(orderHeader);
              
              // יצירת טבלת המוצרים
              const itemsContainer = document.querySelector('.lg\\:flex.flex-col');
              if (itemsContainer) {
                const itemsClone = itemsContainer.cloneNode(true);
                printContainer.appendChild(itemsClone);
              }
              
              document.body.appendChild(printContainer);
              window.print();
              
              setTimeout(() => {
                printContainer.remove();
                style.remove();
              }, 1000);
            });
            
            orderDetails.insertBefore(printButton, orderDetails.firstChild);
          }
        }
      }
    });
  }
});

// טיפול בלחיצה על אייקון התוסף
chrome.action.onClicked.addListener((tab) => {
  if (tab.url.includes('new.mishnatyosef.org/order/')) {
    chrome.scripting.executeScript({
      target: { tabId: tab.id },
      function: () => {
        document.querySelector('.print-button')?.click();
      }
    });
  }
});
